Summary:        Embeddable Javascript engine
Name:           duktape
Version:        2.7.0
Release:        6%{?dist}
License:        MIT
Url:            http://duktape.org/
Source0:        http://duktape.org/%{name}-%{version}.tar.xz

BuildRequires:  gcc make pkgconfig
Patch0001:      duktape-2.7.0-link-against-libm.patch

%description
Duktape is an embeddable Javascript engine, with a focus on portability and
compact footprint.

%package        devel
Summary:        Development files for duktape
Requires:       %{name} = %{version}

%description    devel
This package includes header files, libraries necessary for
developing programs which use duktape library.

%prep
%autosetup

%build
sed -e '/^INSTALL_PREFIX/s|[^=]*$|%{_prefix}|' \
    -e '/install\:/a\\tinstall -d $(DESTDIR)$(INSTALL_PREFIX)/%{_lib}\n\tinstall -d $(INSTALL_PREFIX)/include' \
    -e 's/\(\$.INSTALL_PREFIX.\)/\1/g' \
    -e 's/\/lib\b/\/%{_lib}/g' \
     < Makefile.sharedlibrary > Makefile
%make_build

%install
%make_install

%files
%license LICENSE.txt
%doc AUTHORS.rst
%{_libdir}/libduktape.so.*
%{_libdir}/libduktaped.so.*

%files devel
%doc examples/ README.rst
%{_includedir}/duk_config.h
%{_includedir}/duktape.h
%{_libdir}/libduktape.so
%{_libdir}/libduktaped.so
%{_libdir}/pkgconfig/duktape.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 25 2023 jackeyji <jackeyji@tencent.com> - 2.7.0-5
- fix link against libm error

* Fri Aug 25 2023 jackeyji <jackeyji@tencent.com> - 2.7.0-4
- Rebuild for glibc 2.37

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 25 2022 ZoeDong <zoedong@tencent.com> - 2.7.0-1
- Initial build

